GTAIL(1L)

NAME
tail - output the last part of files

SYNOPSIS
tail [-b [+]#] [-c [+]#] [-n [+]#] [-fqv] [+blocks [+]#] [+bytes [+]#] [+lines [+]#] [+follow] [+quiet] [+silent] [+verbose] [file...] tail [+/-#bcflqv] [file...]

DESCRIPTION
This manual page documents the GNU version of tail. tail prints the last part (10 lines by default) of each given file; it reads from standard input if no files are given or when a filename of `-' is encountered. If more than one file is given, it prints a header consisting of the file's name enclosed in `==>' and `<==' before the output for each file. It accepts two option syntaxes: one in which numbers are arguments to the option letters, and one in which a `+' or `-' and optional number precede any option letters.

It can output any amount of data, unlike the Unix version, which uses a fixed size buffer. It has no -r option (print in reverse). Reversing a file is really a different job from printing the end of a file; the BSD tail can get away with kludging it in because of its limited size buffer. A more versatile way to reverse files is the GNU tac command.

  OPTIONS
If a number (`#') starts with a `+', it begins printing with the #th item from the start of each file, instead of from the end.

-b, +blocks #
    Tail by # 512-byte blocks.

-c, +bytes #
    Tail by # bytes.

-f, +follow
    Loop forever trying to read more characters at the end of the file, on the assumption that the file is growing. Ignored if reading from a pipe. Cannot be used if more than one file is given.

-l, -n, +lines #
    Tail by # lines.

-q, +quiet, +silent
    Never print filename headers.

-v, +verbose
    Always print filename headers.